# SignatorySupport

abstract class SignatorySupport : Signatory

Convenience base class for Signatory implementations.

#### Inheritors

PgpSignatory

## Constructors

SignatorySupport
Link copied to clipboard
constructor()

## Functions

getKeyId
Link copied to clipboard
abstract fun getKeyId(): String
getName
Link copied to clipboard
abstract fun getName(): String
sign
Link copied to clipboard
abstract fun sign(toSign: InputStream, destination: OutputStream)
open fun sign(toSign: InputStream): Array<Byte>